## Contents of this file

* Introduction
* Requirements
* Installation
* Installation with Composer
* Configuration
* Maintainers


## Introduction

The Maintenance Notifications module allows site administrators to automatically send email notifications when the site has been in maintenance mode for a specified period of time.
This module is ideal for site owners and administrators who want to ensure they’re alerted if the site remains in maintenance mode for longer than expected.

 * For a full description of the module visit: [https://www.drupal.org/project/maintenance_notifier](https://www.drupal.org/project/maintenance_notifier)

 * To submit bug reports and feature suggestions, or to track changes visit: [https://www.drupal.org/project/issues/maintenance_notifier](https://www.drupal.org/project/issues/maintenance_notifier)


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

Go to "/admin/config/system/maintenance-notifications" for the configuration screen.

- **Configurable Notification Threshold**:
  Set the time threshold (in minutes) that the site needs to be in maintenance mode before sending an email notification.

- **Flexible Email Recipients**:
  Choose to send notifications to a comma-separated list of specific email addresses or users with particular roles.

- **Customizable Email Content**:
  Configure the subject and body of the email, with token support to dynamically insert information (e.g., site name, date, etc.).

- **Token Browser Support**:
  Easily select tokens for use in the email via a token browser.

- **Regular Checks**:
  Maintenance Notifier will check if the site is in maintenance mode with every cron run.


## Maintainers

This module was created by mqanneh, a Drupal developer.

 * Mohammad AlQanneh - [https://www.drupal.org/u/mqanneh](https://www.drupal.org/u/mqanneh)
